SoundSoftware Code Site - Bug #34
"Invalid form authenticity token"
2010-11-25 04:28 PM - Chris Cannam

Status: In Progress Start date: 2010-11-25
Priority: Low Due date:

Assignee: % Done: 10%
Category: Estimated time: 0.00 hour
Target version:

Description

If you're using a browser that remembers your tabs each time you start up, and you have a code.soundsoftware page open, then you
log out and log back in a day or so later, then the browser will reopen at the code.soundsoftware login page when it starts up again.

So far, so good. But the page doesn't actually work -- if you try to log in with it, you get a terse error that just says "Invalid form
authenticity token" after you submit the form. Presumably the form includes a timestamp that's now expired.

It would be nice in this form worked -- but we should at least make the error message more helpful (telling you to reload the login page
for example).

History

#1 - 2010-12-14 12:03 PM - Chris Cannam
- Priority changed from Normal to Low

#2 - 2010-12-15 10:36 AM - Chris Cannam

- Status changed from New to In Progress
- % Done changed from 0 to 10

I've added a bit more descriptive text (directly in the live branch, since it doesn't affect functionality) but that's probably all we have time for at the

moment.
